LOGICAL FUNCTION SG03CW(AR, AI, B) 
!
!     PURPOSE
!
!     Select complex eigenvalues piars during the generalized Schur 
!     decomposition using DGGES from LAPACK. 
!
!     It returns .TRUE. if AI is not zero, i.e. (AR+AI*I)/B is 
!     a complex eigenvalue. 
! 
!     ARGUMENTS
!
!     Input Parameters
!
!     AR      DOUBLE PRECISION
!             Real part of the given generalized eigenvalue. 
! 
!     AI      DOUBLE PRECISION
!             Imaginary part of the given generalized eigenvalue. 
!
!     B       DOUBLE PRECISION 
!             Second real part of the generalized eigenvalue. 
!
!     Return Value 
!     
!     .TRUE.  If the eigenvalue is complex. 
!     .FALSE. If the eigenvalue is real. 
    

!     .. Scalar Arguments ..
    DOUBLE PRECISION    AR, AI, B
    DOUBLE PRECISION    DZERO
!     .. Parameters ..
    PARAMETER           (DZERO = 0.0d0)
!     .. Local Variables ..
    DOUBLE PRECISION    TMP


!   .. Dummy statement to avoid compiler warnings about unused variables. ..
    TMP = AR + B 


    IF ( AI .NE. DZERO ) THEN 
        SG03CW = .TRUE.
    ELSE 
        SG03CW = .FALSE.
    END IF
END FUNCTION 
